import{s as Pt,n as Et,o as zt}from"../chunks/scheduler.9039eef2.js";import{S as qt,i as At,g as s,s as l,r as it,A as St,h as o,f as n,c as a,j as Ht,u as lt,x as r,k as Mt,y as It,a as i,v as at,d as st,t as ot,w as rt}from"../chunks/index.cdcc3d35.js";import{H as mt}from"../chunks/Heading.96ce3702.js";function jt(pt){let m,q,E,A,p,S,u,ut="How fast is Llama-2-13b on Inferentia2?  Let’s figure out!",I,f,ft="For this benchmark we will use the following configurations:",j,d,dt="<thead><tr><th>Model type</th> <th>batch_size</th> <th>sequence_length</th></tr></thead> <tbody><tr><td>Llama2 13b BS1</td> <td>1</td> <td>4096</td></tr> <tr><td>Llama2 13b BS4</td> <td>4</td> <td>4096</td></tr> <tr><td>Llama2 13b BS8</td> <td>8</td> <td>4096</td></tr></tbody>",B,h,ht="<em>Note: all models are compiled to use the full extent of cores available on the <code>inf2.48xlarge</code> instance.</em>",W,c,ct='<em>Note: please refer to the <a href="https://aws.amazon.com/ec2/instance-types/inf2/" rel="nofollow">inferentia2 product page</a> for details on the available instances.</em>',R,g,gt=`To evaluate the models, we generate tokens up to a total sequence length of 1024, starting from
256 input tokens (i.e. we generate 256, 512 and 768 tokens).`,G,v,N,b,vt=`The encoding time or time to first token is the time required to process the input tokens and generate the first output token.
It is a very important metric, as it corresponds to the latency directly perceived by the user when streaming generated tokens.`,F,x,bt=`We test the encoding time for increasing context sizes, 256 input tokens corresponding roughly to a typical Q/A usage,
while 768 is more typical of a Retrieval Augmented Generation (RAG) use-case.`,Q,y,xt="Encoding time is expressed in <strong>seconds</strong>.",U,L,yt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-7b/encoding_times.png" alt="Llama2 13b inferentia2 encoding-time" title="Encoding time"/>',D,_,J,T,Lt="The end-to-end latency corresponds to the total time to reach a sequence length of 1024 tokens.",K,$,_t="It therefore includes the encoding and generation time.",O,C,Tt="Latency is expressed in <strong>seconds</strong>.",V,w,$t='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-7b/latencies.png" alt="Llama2 13b inferentia2 end-to-end latency" title="Latency"/>',X,k,Y,H,Ct=`We adopt the same convention as other benchmarks to evaluate the throughput, by dividing the end-to-end
latency by the sum of both input and output tokens.
In other words, we divide the end-to-end latency by <code>batch_size * sequence_length</code> to obtain the number of generated tokens per second.`,Z,M,wt="Throughput is expressed in <strong>tokens/second</strong>.",tt,P,kt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-7b/throughputs.png" alt="Llama2 13b inferentia2 throughput" title="Throughput"/>',et,z,nt;return p=new mt({props:{title:"Llama-2-13b performance on AWS Inferentia2 (Latency & Througput)",local:"llama-2-13b-performance-on-aws-inferentia2-latency--througput",headingTag:"h1"}}),v=new mt({props:{title:"Encoding time (time to first token)",local:"encoding-time-time-to-first-token",headingTag:"h2"}}),_=new mt({props:{title:"End-to-end Latency",local:"end-to-end-latency",headingTag:"h2"}}),k=new mt({props:{title:"Throughput",local:"throughput",headingTag:"h3"}}),{c(){m=s("meta"),q=l(),E=s("p"),A=l(),it(p.$$.fragment),S=l(),u=s("p"),u.textContent=ut,I=l(),f=s("p"),f.textContent=ft,j=l(),d=s("table"),d.innerHTML=dt,B=l(),h=s("p"),h.innerHTML=ht,W=l(),c=s("p"),c.innerHTML=ct,R=l(),g=s("p"),g.textContent=gt,G=l(),it(v.$$.fragment),N=l(),b=s("p"),b.textContent=vt,F=l(),x=s("p"),x.textContent=bt,Q=l(),y=s("p"),y.innerHTML=xt,U=l(),L=s("p"),L.innerHTML=yt,D=l(),it(_.$$.fragment),J=l(),T=s("p"),T.textContent=Lt,K=l(),$=s("p"),$.textContent=_t,O=l(),C=s("p"),C.innerHTML=Tt,V=l(),w=s("p"),w.innerHTML=$t,X=l(),it(k.$$.fragment),Y=l(),H=s("p"),H.innerHTML=Ct,Z=l(),M=s("p"),M.innerHTML=wt,tt=l(),P=s("p"),P.innerHTML=kt,et=l(),z=s("p"),this.h()},l(t){const e=St("svelte-u9bgzb",document.head);m=o(e,"META",{name:!0,content:!0}),e.forEach(n),q=a(t),E=o(t,"P",{}),Ht(E).forEach(n),A=a(t),lt(p.$$.fragment,t),S=a(t),u=o(t,"P",{"data-svelte-h":!0}),r(u)!=="svelte-1eecwlw"&&(u.textContent=ut),I=a(t),f=o(t,"P",{"data-svelte-h":!0}),r(f)!=="svelte-18zzjby"&&(f.textContent=ft),j=a(t),d=o(t,"TABLE",{"data-svelte-h":!0}),r(d)!=="svelte-e5dzsg"&&(d.innerHTML=dt),B=a(t),h=o(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-1tthgtl"&&(h.innerHTML=ht),W=a(t),c=o(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-1zgafe"&&(c.innerHTML=ct),R=a(t),g=o(t,"P",{"data-svelte-h":!0}),r(g)!=="svelte-qvcal6"&&(g.textContent=gt),G=a(t),lt(v.$$.fragment,t),N=a(t),b=o(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-r7j18k"&&(b.textContent=vt),F=a(t),x=o(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1i4byqo"&&(x.textContent=bt),Q=a(t),y=o(t,"P",{"data-svelte-h":!0}),r(y)!=="svelte-10ey5lc"&&(y.innerHTML=xt),U=a(t),L=o(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1uaoymh"&&(L.innerHTML=yt),D=a(t),lt(_.$$.fragment,t),J=a(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1fyy0ax"&&(T.textContent=Lt),K=a(t),$=o(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-hxg66a"&&($.textContent=_t),O=a(t),C=o(t,"P",{"data-svelte-h":!0}),r(C)!=="svelte-p58dz0"&&(C.innerHTML=Tt),V=a(t),w=o(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-221bm7"&&(w.innerHTML=$t),X=a(t),lt(k.$$.fragment,t),Y=a(t),H=o(t,"P",{"data-svelte-h":!0}),r(H)!=="svelte-1be56jh"&&(H.innerHTML=Ct),Z=a(t),M=o(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-14m9i5e"&&(M.innerHTML=wt),tt=a(t),P=o(t,"P",{"data-svelte-h":!0}),r(P)!=="svelte-1t1mdbf"&&(P.innerHTML=kt),et=a(t),z=o(t,"P",{}),Ht(z).forEach(n),this.h()},h(){Mt(m,"name","hf:doc:metadata"),Mt(m,"content",Bt)},m(t,e){It(document.head,m),i(t,q,e),i(t,E,e),i(t,A,e),at(p,t,e),i(t,S,e),i(t,u,e),i(t,I,e),i(t,f,e),i(t,j,e),i(t,d,e),i(t,B,e),i(t,h,e),i(t,W,e),i(t,c,e),i(t,R,e),i(t,g,e),i(t,G,e),at(v,t,e),i(t,N,e),i(t,b,e),i(t,F,e),i(t,x,e),i(t,Q,e),i(t,y,e),i(t,U,e),i(t,L,e),i(t,D,e),at(_,t,e),i(t,J,e),i(t,T,e),i(t,K,e),i(t,$,e),i(t,O,e),i(t,C,e),i(t,V,e),i(t,w,e),i(t,X,e),at(k,t,e),i(t,Y,e),i(t,H,e),i(t,Z,e),i(t,M,e),i(t,tt,e),i(t,P,e),i(t,et,e),i(t,z,e),nt=!0},p:Et,i(t){nt||(st(p.$$.fragment,t),st(v.$$.fragment,t),st(_.$$.fragment,t),st(k.$$.fragment,t),nt=!0)},o(t){ot(p.$$.fragment,t),ot(v.$$.fragment,t),ot(_.$$.fragment,t),ot(k.$$.fragment,t),nt=!1},d(t){t&&(n(q),n(E),n(A),n(S),n(u),n(I),n(f),n(j),n(d),n(B),n(h),n(W),n(c),n(R),n(g),n(G),n(N),n(b),n(F),n(x),n(Q),n(y),n(U),n(L),n(D),n(J),n(T),n(K),n($),n(O),n(C),n(V),n(w),n(X),n(Y),n(H),n(Z),n(M),n(tt),n(P),n(et),n(z)),n(m),rt(p,t),rt(v,t),rt(_,t),rt(k,t)}}}const Bt='{"title":"Llama-2-13b performance on AWS Inferentia2 (Latency & Througput)","local":"llama-2-13b-performance-on-aws-inferentia2-latency--througput","sections":[{"title":"Encoding time (time to first token)","local":"encoding-time-time-to-first-token","sections":[],"depth":2},{"title":"End-to-end Latency","local":"end-to-end-latency","sections":[{"title":"Throughput","local":"throughput","sections":[],"depth":3}],"depth":2}],"depth":1}';function Wt(pt){return zt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ft extends qt{constructor(m){super(),At(this,m,Wt,jt,Pt,{})}}export{Ft as component};
